"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ElasticTranscoderClient_1 = require("./ElasticTranscoderClient");
const CancelJobCommand_1 = require("./commands/CancelJobCommand");
const CreateJobCommand_1 = require("./commands/CreateJobCommand");
const CreatePipelineCommand_1 = require("./commands/CreatePipelineCommand");
const CreatePresetCommand_1 = require("./commands/CreatePresetCommand");
const DeletePipelineCommand_1 = require("./commands/DeletePipelineCommand");
const DeletePresetCommand_1 = require("./commands/DeletePresetCommand");
const ListJobsByPipelineCommand_1 = require("./commands/ListJobsByPipelineCommand");
const ListJobsByStatusCommand_1 = require("./commands/ListJobsByStatusCommand");
const ListPipelinesCommand_1 = require("./commands/ListPipelinesCommand");
const ListPresetsCommand_1 = require("./commands/ListPresetsCommand");
const ReadJobCommand_1 = require("./commands/ReadJobCommand");
const ReadPipelineCommand_1 = require("./commands/ReadPipelineCommand");
const ReadPresetCommand_1 = require("./commands/ReadPresetCommand");
const TestRoleCommand_1 = require("./commands/TestRoleCommand");
const UpdatePipelineCommand_1 = require("./commands/UpdatePipelineCommand");
const UpdatePipelineNotificationsCommand_1 = require("./commands/UpdatePipelineNotificationsCommand");
const UpdatePipelineStatusCommand_1 = require("./commands/UpdatePipelineStatusCommand");
class ElasticTranscoder extends ElasticTranscoderClient_1.ElasticTranscoderClient {
    cancelJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CancelJobCommand_1.CancelJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateJobCommand_1.CreateJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createPipeline(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreatePipelineCommand_1.CreatePipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createPreset(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreatePresetCommand_1.CreatePresetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deletePipeline(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeletePipelineCommand_1.DeletePipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deletePreset(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeletePresetCommand_1.DeletePresetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listJobsByPipeline(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListJobsByPipelineCommand_1.ListJobsByPipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listJobsByStatus(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListJobsByStatusCommand_1.ListJobsByStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listPipelines(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListPipelinesCommand_1.ListPipelinesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listPresets(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListPresetsCommand_1.ListPresetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    readJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ReadJobCommand_1.ReadJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    readPipeline(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ReadPipelineCommand_1.ReadPipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    readPreset(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ReadPresetCommand_1.ReadPresetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    testRole(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new TestRoleCommand_1.TestRoleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updatePipeline(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdatePipelineCommand_1.UpdatePipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updatePipelineNotifications(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdatePipelineNotificationsCommand_1.UpdatePipelineNotificationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updatePipelineStatus(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdatePipelineStatusCommand_1.UpdatePipelineStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.ElasticTranscoder = ElasticTranscoder;
//# sourceMappingURL=ElasticTranscoder.js.map