"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeletePreset_1 = require("../model/operations/DeletePreset");
class DeletePresetCommand {
    constructor(input) {
        this.input = input;
        this.model = DeletePreset_1.DeletePreset;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeletePresetCommand = DeletePresetCommand;
//# sourceMappingURL=DeletePresetCommand.js.map