"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ReadPipeline_1 = require("../model/operations/ReadPipeline");
class ReadPipelineCommand {
    constructor(input) {
        this.input = input;
        this.model = ReadPipeline_1.ReadPipeline;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ReadPipelineCommand = ReadPipelineCommand;
//# sourceMappingURL=ReadPipelineCommand.js.map